clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::NormalizedFileURI Struct Reference
Collaboration diagram for llvm::yaml::NormalizedFileURI:
[legend]

## Public Member Functions
| NormalizedFileURI (IO &)
| NormalizedFileURI (IO &, const char *FileURI)
const char * | denormalize (IO &IO)

## Public Attributes
std::string | URI

## Detailed Description

Definition at line 137 of file YAMLSerialization.cpp.

## Constructor & Destructor Documentation

## ◆ NormalizedFileURI() [1/2]

llvm::yaml::NormalizedFileURI::NormalizedFileURI | ( | IO & |  | ) |
| inline

Definition at line 138 of file YAMLSerialization.cpp.

## ◆ NormalizedFileURI() [2/2]

llvm::yaml::NormalizedFileURI::NormalizedFileURI | ( | IO & | ,
|  | const char * | FileURI
| ) |  |
| inline

Definition at line 139 of file YAMLSerialization.cpp.

## Member Function Documentation

## ◆ denormalize()

const char* llvm::yaml::NormalizedFileURI::denormalize | ( | IO & | IO | ) |
| inline

Definition at line 141 of file YAMLSerialization.cpp.

## Member Data Documentation

## ◆ URI

std::string llvm::yaml::NormalizedFileURI::URI

Definition at line 149 of file YAMLSerialization.cpp.

The documentation for this struct was generated from the following file:

- YAMLSerialization.cpp